Subject: Re: [PATCH v2] bash completion: add --format= and --oneline options for "git log"

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 24 Feb 2009 07:39:13 -0800

Teemu Likonen <[email-masked]> wrote:
> We also add --format= completion for "git show".
> 
> Signed-off-by: Teemu Likonen <[email-masked]>
> ---
> 
> On 2009-02-24 13:02 (+0200), Teemu Likonen wrote:
> 
> > I like this change and would immediately switch to using --format= and
> > --oneline instead of --pretty=. I think we should add these bash
> > completions too.
> 
> And let's add --format= completion for "git show" too. I think --oneline
> completion is not needed with "git show" even though it works.

What version of git supports "git log --format" ?

'cause I can't find evidence that it is implemented in any current
version that Junio would apply this patch to.
 
-- 
Shawn.